Subject: Re: [PATCH 00/65] Simplify and improve the wfx driver

From: Jérôme Pouiller <[email-masked]>
Date: Wed, 15 Jan 2020 13:50:38 +0000

On Wednesday 15 January 2020 14:40:10 CET Greg Kroah-Hartman wrote:
> On Wed, Jan 15, 2020 at 12:12:07PM +0000, Jérôme Pouiller wrote:
> > From: Jérôme Pouiller <[email-masked]>
> >
> > Hello all,
> >
> > This pull request is finally bigger than I expected, sorry.
> 
> After applying this series, I get this build error:
> 
> drivers/staging/wfx/sta.c: In function ‘wfx_cqm_bssloss_sm’:
> drivers/staging/wfx/sta.c:91:28: error: expected ‘;’ before ‘struct’
>    91 |   struct ieee80211_hdr *hdr
>       |                            ^
>       |                            ;
>    92 |   struct ieee80211_tx_control control = { };
>       |   ~~~~~~
> drivers/staging/wfx/sta.c:99:3: error: ‘hdr’ undeclared (first use in this function); did you mean ‘idr’?
>    99 |   hdr = (struct ieee80211_hdr *)skb->data;
>       |   ^~~
>       |   idr
> 
> Did you even test-build this?

Arf, I have not tried to built after having fixed warnings from
checkpatch. Shame on me.

-- 
Jérôme Pouiller